TextStyle (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.time.format, enum: TextStyle
Keywords: java.time.format.TextStyle class

# Enum Class TextStyle

java.lang.Object
java.lang.Enum<TextStyle>
java.time.format.TextStyle

All Implemented Interfaces:
  `Serializable, Comparable<TextStyle>, Constable`

public enum TextStyle extends Enum<TextStyle>
Enumeration of the style of text formatting and parsing.

Text styles define three sizes for the formatted text - 'full', 'short' and 'narrow'. Each of these three sizes is available in both 'standard' and 'stand-alone' variations.

The difference between the three sizes is obvious in most languages. For example, in English the 'full' month is 'January', the 'short' month is 'Jan' and the 'narrow' month is 'J'. Note that the narrow size is often not unique. For example, 'January', 'June' and 'July' all have the 'narrow' text 'J'.

The difference between the 'standard' and 'stand-alone' forms is trickier to describe as there is no difference in English. However, in other languages there is a difference in the word used when the text is used alone, as opposed to in a complete date. For example, the word used for a month when used alone in a date picker is different to the word used for month in association with a day and year in a date.

Implementation Requirements:
  This is an immutable and thread-safe enum.
Since:
  1.8

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`
  Modifier and Type
  Class
  Description
  `static final class`
  `Enum.EnumDesc<E extends Enum<E>>`
  A nominal descriptor for an `enum` constant.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULL`
  Full text, typically the full description.
  `FULL_STANDALONE`
  Full text for stand-alone use, typically the full description.
  `NARROW`
  Narrow text, typically a single letter.
  `NARROW_STANDALONE`
  Narrow text for stand-alone use, typically a single letter.
  `SHORT`
  Short text, typically an abbreviation.
  `SHORT_STANDALONE`
  Short text for stand-alone use, typically an abbreviation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextStyle`
  `asNormal()`
  Returns the normal style with the same size.
  `TextStyle`
  `asStandalone()`
  Returns the stand-alone style with the same size.
  `boolean`
  `isStandalone()`
  Returns true if the Style is a stand-alone style.
  `static TextStyle`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
  Modifier and Type
  Method
  Description
  `protected final Object`
  `clone()`
  Throws CloneNotSupportedException.
  `final int`
  `compareTo(TextStyle o)`
  Compares this enum with the specified object for order.
  `final Optional<Enum.EnumDesc<TextStyle>>`
  `describeConstable()`
  Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
  `final boolean`
  `equals(Object other)`
  Returns true if the specified object is equal to this enum constant.
  `protected final void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization has been deprecated for removal.
  `final Class<TextStyle>`
  `getDeclaringClass()`
  Returns the Class object corresponding to this enum constant's enum type.
  `final int`
  `hashCode()`
  Returns a hash code for this enum constant.
  `final String`
  `name()`
  Returns the name of this enum constant, exactly as declared in its enum declaration.
  `final int`
  `ordinal()`
  Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
  `String`
  `toString()`
  Returns the name of this enum constant, as contained in the declaration.
  `static <T extends Enum<T>>
  T`
  `valueOf(Class<T> enumClass, String name)`
  Returns the enum constant of the specified enum class with the specified name.

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Enum Constant Details

  - ### FULL

    public static final TextStyle FULL
    Full text, typically the full description. For example, day-of-week Monday might output "Monday".

  - ### FULL_STANDALONE

    public static final TextStyle FULL_STANDALONE
    Full text for stand-alone use, typically the full description. For example, day-of-week Monday might output "Monday".

  - ### SHORT

    public static final TextStyle SHORT
    Short text, typically an abbreviation. For example, day-of-week Monday might output "Mon".

  - ### SHORT_STANDALONE

    public static final TextStyle SHORT_STANDALONE
    Short text for stand-alone use, typically an abbreviation. For example, day-of-week Monday might output "Mon".

  - ### NARROW

    public static final TextStyle NARROW
    Narrow text, typically a single letter. For example, day-of-week Monday might output "M".

  - ### NARROW_STANDALONE

    public static final TextStyle NARROW_STANDALONE
    Narrow text for stand-alone use, typically a single letter. For example, day-of-week Monday might output "M".

- ## Method Details

  - ### values

    public static TextStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextStyle valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isStandalone

    public boolean isStandalone()
    Returns true if the Style is a stand-alone style.
    Returns:
      true if the style is a stand-alone style.

  - ### asStandalone

    public TextStyle asStandalone()
    Returns the stand-alone style with the same size.
    Returns:
      the stand-alone style with the same size

  - ### asNormal

    public TextStyle asNormal()
    Returns the normal style with the same size.
    Returns:
      the normal style with the same size